Subject: Re: [pim] Issues with pim registers

From: "Ramakrishnan Chokkanathapuram (ramaksun)" <[email-masked]>
Date: Mon, 27 Aug 2018 20:09:19 +0000

Hello All,

The draft draft-ramki-pim-null-register-packing was discussed in the last IETF. Could you all please  post feedback/thoughts on the draft..

Thanks,
Ramki

On Apr 26, 2018, at 11:56 AM, Vikas Ramesh Kamath (vikkamat) <[email-masked]<mailto:[email-masked]>> wrote:

Hello,

As part of draft-ramki-pim-null-register-packing, we have proposed a new standard for PIM NULL register and register stop messages. The motivation for this draft came from the issues seen in customer environments where the high number of PIM NULL registers were causing traffic drops.

We believe this new packet format will not only solve the above mentioned problem but also will help in optimizing bandwidth in the network by minimizing the number of NULL registers/register stops exchanged in the network. Please let us know your thoughts/feedback on this

Thanks,
Vikas

On 4/20/18, 12:46 PM, "pim on behalf of Stig Venaas" <[email-masked]<mailto:[email-masked]> on behalf of [email-masked]<mailto:[email-masked]>> wrote:

    Hi, I'm posting this as a WG chair.

    In the last meeting we had presentations of two drafts proposing
    alternatives or changes to the existing pim register mechanism, but we
    didn't have time to discuss them. The drafts were:

    draft-ramki-pim-null-register-packing
    draft-anish-reliable-pim-registers

    It would be great if people can provide comments on the drafts. I also
    think it could be a good start if we could have a discussion about
    what problems people are seeing today. What issues motivated the
    authors to propose these drafts, and what issues are other people
    seeing with the current pim register mechanism.

    I believe these mechanisms may also apply to pim anycast-RP, so issues
    with that could also be interesting to consider.

    I'm hoping this email can start some discussion. While I'm suggesting
    discussing pim register issues in particular, any thoughts people have
    would be more than welcome.

    Thanks,
    Stig

    _______________________________________________
    pim mailing list
    [email-masked]<mailto:[email-masked]>
    https://www.ietf.org/mailman/listinfo/pim

_______________________________________________
pim mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/pim